<?php
// Database connection settings
include('databaseconnect.php');

// Validate and sanitize input
$document_id = isset($_POST['document_id']) ? $_POST['document_id'] : null;
if ($document_id === null || !is_numeric($document_id)) {
    // Handle invalid input
    echo "Invalid document ID";
    exit; // Stop further execution
}

// Increment download count in the database
$sql = "UPDATE posts SET download_count = download_count + 1 WHERE `No` = ?";
$stmt = $con->prepare($sql);
if (!$stmt) {
    // Handle query preparation error
    echo "Error preparing statement: " . $con->error;
    exit; // Stop further execution
}

$stmt->bind_param("s", $document_id);
if (!$stmt->execute()) {
    // Handle query execution error
    echo "Error updating download count: " . $stmt->error;
} else {
    echo "Download count updated successfully.";
}

$stmt->close();
$con->close();
?>
